import request from '@/utils/request'

// 查询日工工时列表
export function listDayWorkHours(query) {
  return request({
    url: '/pay/dayWorkHours/list',
    method: 'get',
    params: query
  })
}

// 查询日工工时详细
export function getDayWorkHours(id) {
  return request({
    url: '/pay/dayWorkHours/' + id,
    method: 'get'
  })
}

// 新增日工工时
export function addDayWorkHours(data) {
  return request({
    url: '/pay/dayWorkHours',
    method: 'post',
    data: data
  })
}

// 修改日工工时
export function updateDayWorkHours(data) {
  return request({
    url: '/pay/dayWorkHours',
    method: 'put',
    data: data
  })
}

// 删除日工工时
export function delDayWorkHours(id) {
  return request({
    url: '/pay/dayWorkHours/' + id,
    method: 'delete'
  })
}
